Bug 763141 - (GLUSTER-1409) Gluster add brick fails if all the bricks are local
Gluster add brick fails if all the bricks are local
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: Vijay Bellur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 06:15 EDT by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2010-08-20 06:15:53 EDT
Gluster add brick fails but volume info shows the newly added bricks

Volume Name: repvol5
Type: Replicate
Status: Started
Number of Bricks: 5
Bricks:
Brick1: localhost:/tmp/export1
Brick2: localhost:/tmp/export2
Brick3: localhost:/tmp/export_648
Brick4: localhost:/tmp/export_648
Brick5: localhost:/tmp/export_649

Glusterd log:

[2010-08-20 15:19:49.710856] D [glusterd-utils.c:716:glusterd_volinfo_find] : Volume repvol5 found
[2010-08-20 15:19:49.710875] D [glusterd-utils.c:724:glusterd_volinfo_find] : Returning 0
[2010-08-20 15:19:49.710904] D [glusterd-utils.c:556:glusterd_brickinfo_new] : Returning 0
[2010-08-20 15:19:49.710924] D [glusterd-utils.c:631:glusterd_brickinfo_from_brick] : Returning 0
[2010-08-20 15:19:49.710950] D [glusterd-utils.c:556:glusterd_brickinfo_new] : Returning 0
[2010-08-20 15:19:49.710969] D [glusterd-utils.c:631:glusterd_brickinfo_from_brick] : Returning 0
[2010-08-20 15:19:49.710988] I [glusterd-utils.c:650:glusterd_brickinfo_get] : brick: localhost:/tmp/export_648
[2010-08-20 15:19:49.711007] I [glusterd-utils.c:670:glusterd_brickinfo_get] : Found brick
[2010-08-20 15:19:49.711024] D [glusterd-utils.c:682:glusterd_brickinfo_get] : Returning 0
[2010-08-20 15:19:49.711042] I [glusterd-handler.c:361:glusterd_friend_find] glusterd: Unable to find hostname: localhost
[2010-08-20 15:19:49.711067] D [glusterd-utils.c:594:glusterd_resolve_brick] : Returning 0
[2010-08-20 15:19:49.711101] D [glusterd-op-sm.c:286:glusterd_volume_create_generate_volfiles] : Brick string: localhost:/tmp/export1 localhost:/tmp/export2 localhost:/tmp/export_648 localhost:/tmp/export_648 localhost:/tmp/export_649 
Duplicate arguments detected (localhost:/tmp/export_648)
[2010-08-20 15:19:49.749012] D [glusterd-op-sm.c:330:glusterd_volume_create_generate_volfiles] : Returning 256
[2010-08-20 15:19:49.749083] D [glusterd-op-sm.c:2610:glusterd_op_commit_perform] : Returning 256
[2010-08-20 15:19:49.749099] E [glusterd3_1-mops.c:1032:glusterd3_1_commit_op] : Commit failed
[2010-08-20 15:19:49.749116] I [glusterd-op-sm.c:2787:glusterd_op_sm_inject_event] glusterd: Enqueuing event: 7
[2010-08-20 15:19:49.749132] D [glusterd3_1-mops.c:1071:glusterd3_1_commit_op] glusterd: Returning 256
[2010-08-20 15:19:49.749146] I [glusterd-op-sm.c:2787:glusterd_op_sm_inject_event] glusterd: Enqueuing event: 4
[2010-08-20 15:19:49.749158] D [glusterd-op-sm.c:120:glusterd_op_sm_inject_all_acc] : Returning 0
[2010-08-20 15:19:49.749170] D [glusterd-op-sm.c:2216:glusterd_op_ac_send_commit_op] : Returning with 0
[2010-08-20 15:19:49.749182] I [glusterd-op-sm.c:2515:glusterd_op_sm_transition_state] : Transitioning from 3 to 5
[2010-08-20 15:19:49.749197] I [glusterd3_1-mops.c:888:glusterd3_1_cluster_unlock] glusterd: Sent unlock req to 0 peers
[2010-08-20 15:19:49.749209] D [glusterd3_1-mops.c:892:glusterd3_1_cluster_unlock] glusterd: Returning 0
[2010-08-20 15:19:49.749222] I [glusterd-op-sm.c:2787:glusterd_op_sm_inject_event] glusterd: Enqueuing event: 4
[2010-08-20 15:19:49.749234] D [glusterd-op-sm.c:120:glusterd_op_sm_inject_all_acc] : Returning 0
[2010-08-20 15:19:49.749246] D [glusterd-op-sm.c:2086:glusterd_op_ac_send_unlock] : Returning with 0
[2010-08-20 15:19:49.749258] I [glusterd-op-sm.c:2515:glusterd_op_sm_transition_state] : Transitioning from 5 to 7
[2010-08-20 15:19:49.749270] D [glusterd-op-sm.c:2026:glusterd_op_ac_none] : Returning with 0
[2010-08-20 15:19:49.749283] I [glusterd-op-sm.c:2515:glusterd_op_sm_transition_state] : Transitioning from 7 to 7
[2010-08-20 15:19:49.749299] I [glusterd-op-sm.c:2402:glusterd_op_txn_complete] glusterd: Cleared local lock
[2010-08-20 15:19:49.749383] I [glusterd-op-sm.c:2379:glusterd_op_send_cli_response] : Returning 0
[2010-08-20 15:19:49.749400] I [glusterd-op-sm.c:2421:glusterd_op_txn_complete] glusterd: Returning 0
[2010-08-20 15:19:49.749412] D [glusterd-op-sm.c:2434:glusterd_op_ac_unlocked_all] : Returning 0
[2010-08-20 15:19:49.749424] I [glusterd-op-sm.c:2515:glusterd_op_sm_transition_state] : Transitioning from 7 to 0
[2010-08-20 15:19:49.749437] D [glusterd-op-sm.c:2026:glusterd_op_ac_none] : Returning with 0
[2010-08-20 15:19:49.749449] I [glusterd-op-sm.c:2515:glusterd_op_sm_transition_state] : Transitioning from 0 to 0
[2010-08-20 15:19:49.749461] I [glusterd3_1-mops.c:1189:glusterd_handle_rpc_msg] : Returning 0
[2010-08-20 15:38:24.677000] D [dict.c:324:dict_get] dict: @this=(nil) @key=0x7f10eaeb4a9d
[2010-08-20 15:38:24.677042] D [dict.c:324:dict_get] dict: @this=(nil) @key=0x7f10eaeb4ac7
[2010-08-20 15:38:24.677085] I [glusterd-handler.c:922:glusterd_handle_cli_get_volume] glusterd: Received get vol req
[2010-08-20 15:38:24.677178] I [glusterd3_1-mops.c:1189:glusterd_handle_rpc_msg] : Returning 0
Comment 1 Vijay Bellur 2010-08-28 04:47:44 EDT
PATCH: http://patches.gluster.com/patch/4352 in master (change the path to brickpath while creating the pidfile)

Note You need to log in before you can comment on or make changes to this bug.